Error instalando Gapps en TWRP

Al instalar las Gapps desde TWRP recovery podemos encontrarnos con varios errores que interrumpan el proceso, impidiendonos completar la instalación, dichos errores suelen estar numerados para hacernos más fácil detectar el problema y así poder aplicar una solución.

El no poder instalar las Gapps en una custom ROM supone un gran problema, puesto que nuestro dispositivo móvil quedará desprovisto de todas las Google Apps; Play Store, Gmail, Google Play, Google+,  Google Maps, Google Photos, Google PDF Viewer, Google Play Books etc etc.

En esta entrada hemos recopilado los errores más frecuentes que podemos encontrar durante la instalación de las Gapps para dejar una solución a cada uno de ellos.

 

Solucionar errores al instalar Gapps desde TWRP

 

Error 40 al instalar Gapps:

  • Este error suele aparecer cuando instalamos un paquete de Gapps erróneo y posteriormente intentamos instalar uno nuevo.

Solución:

  1. Desde el menú principal del recovery entramos a Wipe -> Advanced Wipe – marcamos la partición System y la vaciamos deslizando hacia la derecha.

Hecho esto tendremos que reinstalar nuevamente la ROM y junto con las nuevas Gapps.

 

Error 64 al instalar Gapps:

  • Cuando queremos instalar un paquete de Gapps para una arquitectura diferente a la de nuestro dispositivo móvil, nos encontramos con este error.
  • Pero el error 64 en TWRP también puede aparecer sin motivo aparente, en ambos casos tiene fácil solución.

Solución:

  1. Lógicamente, lo primero es descartar que el fallo sea producido al usar un paquete para arquitectura diferente, arm, arm64, x86 etc. De ser esta la causa, descargamos e instalamos las Gapps correctas.
  2. Si esto último no es la causa del error 64, entonces seguramente sea por alguna pequeña incompatibilidad del sistema y la versión de TWRP que estemos utilizando, para solucionarlo tendremos que actualizar TWRP o probar una versión inferior en caso que ya estemos usando la última.

 

Error 70 al instalar Gapps:

  • Por algún motivo, el tamaño de las Gapps que queremos instalar excede al de la partición del sistema.

Solución:

  1. Quizás no necesitemos todas las aplicaciones que incorporan las Google Apps, en cuyo caso solo tenemos que descargar e instalar otra versión más ligera.
  2. Otra solución si no queremos instalar una versión lite de las Gapps, sería darle más capacidad a la partición del sistema; entramos a Wipe -> Advanced Wipe -> marcamos la pestaña System -> Resize File System, deslizamos para aceptar y reinstalamos de nuevo las Gapps.